> ## Documentation Index
> Fetch the complete documentation index at: https://developer.fabric.inc/llms.txt
> Use this file to discover all available pages before exploring further.

# Create cancellation reasons

> Create cancellation reasons



## OpenAPI

````yaml smt post /v1/cancellation-reasons
openapi: 3.0.0
info:
  title: Subscriptions (SMT API)
  description: >-
    fabric's Subscriptions API lets your customers set recurring purchases of
    their desired products or services for a scheduled period (weekly, monthly,
    etc.). In addition, Subscriptions helps you retrieve and update subscription
    details, and lets your customers skip one or more subscription schedules, or
    remove a subscription. This API also lets you create and updates customers
    cancellation reasons, and subscription discounts.
  version: 2.0.0
  contact:
    email: support@fabric.inc
  license:
    name: fabric API License
    url: https://fabric.inc/api-license
servers:
  - url: https://prod01.copilot.fabric.inc/data-subscription
    description: Production
security:
  - bearerAuth: []
tags:
  - name: Subscribers
    description: >-
      These endpoints let you create, update, or get one or all of your
      subscribers (customers who have subscriptions). If you request all
      subscribers, you will receive a paginated response; you can specify the
      page size, and which page you want.
  - name: Subscriptions
    description: >-
      These endpoints let your customers set recurring purchases of their
      desired products or services for a scheduled period (weekly, monthly,
      etc.). In addition, these endpoints let you get and update subscription
      details, and let your customers skip one or more subscription schedules,
      or remove a subscription.
  - name: Orders
    description: >-
      These endpoints let your customers purchase products and services from
      your store.
  - name: Cancellation Reasons
    description: These endpoints let you create and get cancellation reasons.
  - name: Subscription Discounts
    description: >-
      These endpoints let you create, update, deactivate, and get discount
      offers for the orders placed by your customers.
paths:
  /v1/cancellation-reasons:
    post:
      tags:
        - Cancellation Reasons
      summary: Create cancellation reasons
      description: Create cancellation reasons
      operationId: createCancellationReasons
      requestBody:
        description: Cancellation reason to be created
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateCancellationReasons'
      responses:
        '200':
          description: Request processed successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/createCancellationReasonResponse'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/badRequestError'
        '403':
          description: Unauthorized access
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/unAuthError'
components:
  schemas:
    CreateCancellationReasons:
      description: Cancellation reasons to be created
      type: array
      items:
        type: object
        properties:
          code:
            type: number
            description: Cancellation code
            example: 99
          reason:
            type: string
            description: Cancellation reason
            example: Customer is not happy
    createCancellationReasonResponse:
      description: Cancellation reason and code to be created
      type: object
      properties:
        responseStatus:
          description: Brief response status
          type: string
          example: OK
        message:
          description: Full response message
          type: string
          example: Request processed successfully
        data:
          description: Cancellation reasons and codes
          type: array
          items:
            type: object
            properties:
              code:
                type: number
                description: Cancellation code
                example: 99
              reason:
                type: string
                description: Cancellation reason
                example: Customer is not happy
    badRequestError:
      type: object
      description: Bad request error
      properties:
        responseStatus:
          type: string
          description: Brief response status
          example: BAD_REQUEST
        message:
          type: string
          description: Full response message
          example: Bad request
    unAuthError:
      type: object
      description: Unauthenticated error
      properties:
        Message:
          description: Full response message
          example: User is not authorized to access this resource with an explicit deny
          type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````